for_each.hpp File Reference

Forward declares `boost::hana::for_each`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::for_each
| Perform an action on each element of a foldable, discarding the result each time.Iteration is done from left to right, i.e. in the same order as when using `fold_left`. If the structure is not finite, this method will not terminate. More...

## Detailed Description

Forward declares `boost::hana::for_each`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)